from azure.mgmt.compute import ComputeManagementClient
from typing import List
from .records import VirtualMachineData, VirtualMachine
from .._common import service_principal_credentials
from ..records import AzureClient


def process_virtual_machines(response: list) -> List[VirtualMachine]:
    return [VirtualMachineData(**instance.as_dict()).__dict__ for instance in response]


def client(client: AzureClient, subscription_id: str) -> ComputeManagementClient:
    return ComputeManagementClient(service_principal_credentials(client=client), subscription_id)
