from typing import TypedDict, Dict
from datacaster.classes import CastDataClass


class ResourceGroupData(CastDataClass):
    name: str
    location: str
    tags: Dict[str, str] = {}


class ResourceGroup(TypedDict):
    """
    - Contains information about an Azure Resource Group

    !!! info "ResourceGroup Keys"

        __name__:  Resource name

        __location__:  Resource location

        __tags__:  Dictionary of tags
    """

    __annotations__ = ResourceGroupData.__dict__["__annotations__"]
