from azure.mgmt.network import NetworkManagementClient
from typing import List
from .records import SecurityGroupData, SecurityGroup
from .._common import service_principal_credentials
from ..records import AzureClient


def process_security_group(group: dict) -> List[SecurityGroup]:
    return SecurityGroupData(**group.as_dict()).__dict__


def process_security_groups(groups: list) -> List[SecurityGroup]:
    return [process_security_group(group) for group in groups]


def client(client: AzureClient, subscription_id: str) -> NetworkManagementClient:
    return NetworkManagementClient(service_principal_credentials(client=client), subscription_id)
